using System;

namespace PkmnLibSharp.Battling.Events
{
    public class TurnStartEvent : EventData
    {
        internal TurnStartEvent(EventDataKind kind, IntPtr ptr) : base(kind, ptr)
        {
        }

        protected override void DeletePtr()
        {
            Creaturelib.Generated.TurnStartEvent.Destruct(Ptr);
        }
    }
}